Replays
GET https://analytics-info.com/api/replays/
curl --request GET \
--url 'https://analytics-info.com/api/replays/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/replays/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | |
| user_id | Optional Integer | |
| session_id | Optional Integer | |
| visitor_id | Optional Integer | |
| is_offloaded | Optional Integer | Allowed values: 0, 1 |
| is_too_short | Optional Integer | Allowed values: 0, 1 |
| datetime_field | Optional String | Allowed values: datetime, last_datetime, expiration_date |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: replay_id, session_id, visitor_id, events, size, is_offloaded, is_too_short, datetime, last_datetime, expiration_date. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"user_id": 1,
"events": 25,
"size": 123456,
"duration": 60,
"is_offloaded": false,
"is_too_short": false,
"datetime": "2026-07-14 11:24:42",
"last_datetime": "2026-07-14 11:24:42",
"expiration_date": "2027-07-14"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics-info.com/api/replays?website_id=1&page=1",
"last": "https://analytics-info.com/api/replays?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analytics-info.com/api/replays?website_id=1&page=1"
}
}
GET https://analytics-info.com/api/replays/{replay_id}
curl --request GET \
--url 'https://analytics-info.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"user_id": 1,
"events": 25,
"size": 123456,
"duration": 60,
"is_offloaded": false,
"is_too_short": false,
"datetime": "2026-07-14 11:24:42",
"last_datetime": "2026-07-14 11:24:42",
"expiration_date": "2027-07-14"
}
}
GET https://analytics-info.com/api/replays/{replay_id}/data
curl --request GET \
--url 'https://analytics-info.com/api/replays/{replay_id}/data' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/replays/{replay_id}/data' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"rows": [
{
"type": 4,
"data": {},
"timestamp": 1700000000000
}
],
"pageviews": [
{
"type": 4,
"data": {},
"timestamp": 1700000000000,
"datetime": "2026-07-14 11:24:42",
"path": "/",
"time": "12:00"
}
]
}
}
DELETE https://analytics-info.com/api/replays/{replay_id}
curl --request DELETE \
--url 'https://analytics-info.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics-info.com/api/replays/{replay_id}' \
--header 'Authorization: Bearer {api_key}' \